FOREIGN_GIPSY_WRITE_IARRAY(3)

FUNCTION
foreign_gipsy_write_iarray - Write a GIPSY file.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_gipsy_write_iarray

(CONST char *basename, iarray array, ...)

DESCRIPTION
This routine will write an Intelligent Array to a GIPSY file. The routine will automatically generate essential keywords such as: "NAXIS", "NAXISn", "CTYPEn", "CRVALn", "CRPIXn", "CDELTn", "BITPIX", "BUNIT", "BSCALE" and "BZERO". Also, existing keywords in the data structure which do not conflict with the generated keywords are copied.

basename
    The base filename of the GIPSY file. The ".descr" and ".image" extensions are added automatically.

array
    The Intelligent Array.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_GIPSY_WRITE_END. See <-foreign_ATT_GIPSY_WRITE-> for a list of defined attributes.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/